Bug 233797 - dns/nsd: Update to 4.1.26
Summary: dns/nsd: Update to 4.1.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 10:19 UTC by jaap
Modified: 2018-12-09 01:07 UTC (History)
1 user (show)

See Also:


Attachments
Patch to upgrade (1.79 KB, patch)
2018-12-05 10:19 UTC, jaap
koobs: maintainer-approval+
Details | Diff
updated patch to upgrade (2.14 KB, patch)
2018-12-06 14:47 UTC, jaap
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jaap 2018-12-05 10:19:51 UTC
Created attachment 199845 [details]
Patch to upgrade

Added option to port enabling DNSTAO

Release Notes:

This version has DNSTAP support (https://dnstap.info).  Use
--enable-dnstap for ./configure to turn it on, then in nsd.conf enable
the dnstap feature with dnstap-enable: yes and set one or more of
dnstap-log-..-messages to yes.  And set the dnstap socket path in the
config.

The reuseport: yes config option in nsd.conf on FreeBSD 12 can use the
SO_REUSEPORT_LB option that performs performance load balancing.

The changezone command for nsd-control allows to change the pattern
associated with a zone without downtime for the zone, in one operation.
It is otherwise just like a delete and an add for that zone.


4.1.26
================
FEATURES:
- DNSTAP support for NSD, --enable-dnstap and then config in nsd.conf.
- Support SO_REUSEPORT_LB in FreeBSD 12 with the reuseport: yes
  option in nsd.conf.
- Added nsd-control changezone.  nsd-control changezone name pattern
  allows the change of a zone pattern option without downtime for
  the zone, in one operation.

BUG FIXES:
- Fix #4194: Zone file parser derailed by non-FQDN names in RHS of
  DNSSEC RRs.
- Fix #4202: nsd-control delzone incorrect exit code on error.
- Tab style fix to use tab for 8 spaces, from Xiaobo Liu.
- Fix #4205: enable-recvmmsg in mixed IPv4/IPv6 environment fails.
  This sets the msg_hdr.msg_namelen correctly after receipt.
- Fix to not set GLOB_NOSORT so the nsd.conf include: files are
  sorted and in a predictable order.
- Fix #3433: document that reconfig does not change per-zone stats.
Comment 1 Nathan 2018-12-05 23:49:27 UTC
Comment on attachment 199845 [details]
Patch to upgrade

 LIB_DEPENDS+=	libevent.so:devel/libevent
Goes below MASTER_SITES, with space in between according to Order of variables in handbook
Comment 2 jaap 2018-12-06 10:42:22 UTC
(In reply to Nathan from comment #1)

The order of lines in the Makefile didn't change form previous versions and the LIB_DEPENDS entry is below MASTER_SITES so I don't get it. Can you clarify?
Comment 3 Nathan 2018-12-06 14:08:07 UTC
(In reply to jaap from comment #2)

Variables don't go below OPTIONS unless they are part of OPTIONS. https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html
Comment 4 jaap 2018-12-06 14:46:29 UTC
(In reply to Nathan from comment #3)
You seem to be the first committer to notice this. Will upload a new patch
Comment 5 jaap 2018-12-06 14:47:52 UTC
Created attachment 199896 [details]
updated patch to upgrade
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-07 04:46:18 UTC
(In reply to jaap from comment #5)

Thank you for the update.

For this and future contributions, please use the maintainer-approval flag (set to +) on attachments, for patches to ports you are maintainer of, to declare a  maintainer provided (approved) patch.

Attachment -> Details -> maintainer-approval [+]
Comment 7 commit-hook freebsd_committer 2018-12-09 01:03:28 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 01:03:05 UTC 2018
New revision: 487004
URL: https://svnweb.freebsd.org/changeset/ports/487004

Log:
  dns/nsd: Update to 4.1.26

  While here, pet portlint

  PR:		233797
  Submitted by:	jaap@NLnetLabs.nl (maintainer)

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/distinfo
Comment 8 Steve Wills freebsd_committer 2018-12-09 01:07:23 UTC
Committed, thanks!